- name: User Defaults - Create workstation user
  ansible.builtin.user:
    name: "{{ workstation_user }}"
    password: "{{ workstation_user_password | password_hash('sha512') }}"
    shell: /bin/bash
    state: present
  become: true
  when: base_admin_password
  tags: always

- name: User Defaults - Create workstation user
  ansible.builtin.user:
    name: "{{ workstation_user }}"
    shell: /bin/bash
    state: present
  become: true
  when: not base_admin_password
  tags: always

- name: User Defaults - Ensure autostart folder exists
  ansible.builtin.file:
    path: /etc/skel/.config/autostart
    state: directory
    owner: root
    group: root
    mode: "0755"
  become: true
  tags: always

- name: User Defaults - Configure Applications to autostart
  ansible.builtin.template:
    src: autostart.j2
    dest: /etc/skel/.config/autostart/{{ item.filename }}.desktop
    owner: root
    group: root
    mode: "0600"
  become: true
  loop: "{{ workstation_default_autostarts }}"
  when: workstation_default_autostarts
  tags: always

- name: User Defaults - Create tmp folder workstation user
  ansible.builtin.file:
    dest: /home/{{ workstation_user }}/.ansible/tmp
    owner: "{{ workstation_user }}"
    group: "{{ workstation_user }}"
    mode: "0770"
    state: directory
  become: true
  tags: always

- name: User Defaults - Disable Session Restoring
  community.general.kdeconfig:
    path: "/home/{{ workstation_user }}/.config/ksmserverrc"
    values:
      - group: General
        key: "loginMode"
        value: "emptySession"
    backup: true
  become: true
  become_user: "{{ workstation_user }}"
  vars:
    ansible_ssh_pipelining: true
  tags: always
